Bug 1450950 - Tito + GitAnnex combo gives " git-annex: First run: git-annex init
Summary: Tito + GitAnnex combo gives " git-annex: First run: git-annex init
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-15 12:51 UTC by clime
Modified: 2017-07-31 14:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 14:08:41 UTC


Attachments (Terms of Use)

Description clime 2017-05-15 12:51:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 clime 2017-05-15 12:53:02 UTC
Not very much info above, heh.

Production log: http://copr-dist-git.fedorainfracloud.org/per-task-logs/551683-master.log

Stacktrace is:

Command output: /bin/sh: git-annex: command not found

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/tito/builder/main.py", line 148, in run
    self.srpm()
  File "/usr/lib/python3.5/site-packages/tito/builder/main.py", line 201, in srpm
    self.tgz()
  File "/usr/lib/python3.5/site-packages/tito/builder/main.py", line 569, in tgz
    self._setup_sources()
  File "/usr/lib/python3.5/site-packages/tito/builder/main.py", line 1202, in _setup_sources
    error_out('%s' % msg)
  File "/usr/lib/python3.5/site-packages/tito/common.py", line 237, in error_out
    sys.exit(1)
SystemExit: 1

Comment 2 clime 2017-05-15 12:57:42 UTC
Please, ignore the invalid stacktrace above and just use the log.

Comment 3 marcindulak 2017-05-15 20:41:48 UTC
This is the build that triggered the error https://copr.fedorainfracloud.org/coprs/marcindulak/minishift-br/build/551683/

Comment 4 Pavel Raiskup 2017-05-27 14:35:27 UTC
This is one fix:
https://pagure.io/copr/copr/pull-request/71

But to make it work, the repository needs to contain the automatic
branch named 'git-annex'.

Comment 5 clime 2017-06-02 09:13:35 UTC
It's in production with that fix. So you can try if the import moves any further than in https://copr.fedorainfracloud.org/coprs/marcindulak/minishift-br/build/551683/.

Comment 7 Pavel Raiskup 2017-06-02 12:27:49 UTC
Interesting.  Not reproduced manually with:

* build of the docker image and running it ...
* creating temporary non-root user and 'su' to it ...
* git clone YOUR_REPO, cd YOUR_REPO/YOUR_SUBDIR
* mkdir /tmp/test && tito build -o /tmp/test --srpm

This works fine for me.  Maybe there's some environment difference in
copr?


Note You need to log in before you can comment on or make changes to this bug.